%define srcname xf86-video-siliconmotion
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-siliconmotion
Version: 1.5.1
Release: alt1
Serial: 1
Summary: Silicon Motion video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: siliconmotion.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-siliconmotion
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

ExclusiveArch: %ix86

%description
siliconmotion  is  an  Xorg  driver for Silicon Motion based
video cards.  The driver is fully accelerated, and provides support for
the  following framebuffer depths: 8, 16, and 24.  All visual types are
supported for depth 8, and TrueColor  visuals  are  supported  for  the
other depths.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/siliconmotion.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Tue Mar 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.5.1-alt1
- 1.5.1

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt2
- added videoaliases file from RH

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt1
- 1.4.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3.1.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.1.2-alt0.1
- initial release

